# Bakery Namespace Reference

## Classes

class | App
| Bakery's Main Window. More...
class | App_Gtk
| This class implements Bakery::App using gtkmm. More...
class | App_WithDoc
| Main Window which supports documents. More...
class | App_WithDoc_Gtk
| This class implements Bakery::App_WithDoc using gtkmm. More...
class | AppInstanceManager
| Contains a list of App instances. More...
class | Dialog_OfferSave
class | GtkDialogs
| This class implements some gtkmm UI abstractions. More...
class | Dialog_Preferences

Preferences Dialog In the Glade file:

- The vbox should contain a widget called "vbox".

More...

class | Document
| The Document is like the 'Model' in the Model-View-Controller framework. More...
class | Document_XML
class | BusyCursor
| Changes the cursor for as long as this instance lives. More...
class | sharedptr
| A shared reference-counting smart-pointer. More...
class | View
| This is a base class which should be multiple-inherited with gtkmm widgets. More...
class | View_Composite
| This View delegates to sub-views. More...
class | ViewBase
| This is a base class for View. More...

## Namespaces

namespace | Conf

## Functions

void | init ()
| Saves you the trouble of initializing gconfmm and libglademm yourself.

## Function Documentation

void Bakery::init | ( |  | ) |

Saves you the trouble of initializing gconfmm and libglademm yourself.

You still need to have a Gtk::Main instance though. You don't need this if you used Gnome::Main instead of Gtk::Main, because that initializes gconfmm and libglademm also.